/**
 * me.siteview
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */

me.siteview = {
    resizeMinWidth : 500,
    resizeMinHeight : 300,
    iframeWindow : null,
    currentHref : '',
    unloadFlag : true,
    initialized : false,
    init : function()
    {
        if (me.siteview.iframeWindow == null) {
            me.siteview.iframeWindow = $('#siteview_iframe')[0].contentWindow;
        }
        me.siteview.currentHref = $('#iframe_href').val();
        me.siteview.getInfo(me.siteview.currentHref);
        setInterval(me.siteview.checkHref, 200);

        window.onbeforeunload = function(){
            me.siteview.unload();
        }
        $('#logo_link').bind('click', function(){
            me.siteview.unloadFlag = false;
            var dt = new Date();
            document.cookie = 'siteview_href=;expires=' + dt.toGMTString();
        });
    },
    checkTarget : function()
    {
        if (me.siteview.iframeWindow == null) {
            me.siteview.iframeWindow = $('#siteview_iframe')[0].contentWindow;
        }
        try {
            me.siteview.iframeWindow.document;
        } catch (e) {
            return;
        }

        $(me.siteview.iframeWindow.document).find('a').each(function(){
            if (this.target == '_top' || this.target == '_blank') {
                this.target = 'siteview_iframe';
            }
        });
        $(me.siteview.iframeWindow.document).find('frame').each(function(){
            $(this.contentWindow.document).find('a').each(function(){
                if (this.target == '_top' || this.target == '_blank') {
                    this.target = 'siteview_iframe';
                }
            });
        })
    },
    checkHref : function()
    {
        var href = null;
        try {
            if (me.siteview.currentHref != me.siteview.iframeWindow.location.href) {
                href = me.siteview.iframeWindow.location.href;
                if (!me.siteview.initialized && href != 'about:blank') {
                    if (document.location.search.indexOf('reload=on') > -1) {
                        me.siteview.iframeWindow.location.reload(true);
                    }
                    me.siteview.initialized = true;
                }
                if (me.siteview.iframeWindow.location.href == undefined) {
                    throw null;
                }
            }
        } catch (e) {
        }
        if (href == null) {
            return;
        }

        me.siteview.currentHref = href;
        $('#iframe_href').val(href);
        $('#siteview_titlebar').text(me.siteview.iframeWindow.document.title);

        me.siteview.getInfo(href)
    },
    getInfo : function(url)
    {
        $.ajax({
            type: 'POST',
            url: '../Main/get_info',
            data: ({
                'url' : url,
                '_token' : $('#_token_logout').val()
            }),
            success: function(html){
                $('#folder_view').empty().append(html);
                $('#page_action').empty().append($('#page_action_box').children());
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    setHref : function()
    {
        if (me.siteview.currentHref == $('#iframe_href').val()) {
            try {
                me.siteview.iframeWindow.location.reload(true);
            } catch (e) { 
            }
        } else {
            if ($('#iframe_href').val().indexOf('://') == -1) {
                $('#iframe_href').val('http://' + $('#iframe_href').val());
            }
            me.siteview.currentHref = $('#iframe_href').val();
            me.siteview.getInfo(me.siteview.currentHref);
            try {
                me.siteview.iframeWindow.location.href = me.siteview.currentHref;
            } catch (e) { 
            }
        }
    },
    openPath : function(path)
    {
        var url = window.location.protocol + '//' + window.location.host + path;
        $('#iframe_href').val(url);
        me.siteview.setHref();
        $('#siteview_titlebar').text('');
    },
    openNewTab : function()
    {
        window.open($('#iframe_href').val());
    },
    upDirectory : function()
    {
        var url = $('#iframe_href').val();
        var re = new RegExp('/[^/]*?$');
        url = url.replace(re, '').replace(re, '') + '/';
        if (url == 'http://' || url == 'https://') {
            return;
        }
        $('#iframe_href').val(url);
        me.siteview.setHref();
        $('#siteview_titlebar').text('');
    },
    resize : function(init)
    {
        var heightMargin = (init) ? 10 : 0;
        var widthMargin = (init) ? 20 : 35;
        var siteviewIframe = $('#siteview_iframe');
        var folderView = $('#folder_view');
        var setHeight = $(window).height() - ($('body').height() - siteviewIframe.height()) - heightMargin;
        if (setHeight < me.siteview.resizeMinHeight) {
            setHeight = me.siteview.resizeMinHeight;
        }
        var setWidth = $(window).width() - siteviewIframe.offset().left - widthMargin;
        if (setWidth < me.siteview.resizeMinWidth) {
            setWidth = me.siteview.resizeMinWidth;
        }
        siteviewIframe.height(setHeight);
        siteviewIframe.width(setWidth);
        folderView.height(setHeight);
    },
    unload : function()
    {
        if (me.siteview.unloadFlag && me.siteview.currentHref != 'about:blank') {
            var dt = new Date();
            dt.setSeconds(dt.getSeconds() + 2);
            document.cookie = 'siteview_href=' +  me.siteview.currentHref + ';expires=' + dt.toGMTString();
        }
    }
};