<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title><?php h::p($page_title) ?> - MicroEngine</title>
<script src="../../app/assets/js/me.template.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.resize.resizeBox('source_code');
    $(window).bind('resize', function(){
        me.resize.resizeBox('source_code');
        me.resize.resizeBox('preview_iframe');
    });
    me.form.init();
    if ($('#error_message').text().length > 0) {
        me.template.openSetting();
    }
    me.template.changeTemplateType();
});
//-->
</script>
</head>
<body>
<div class="main">
<form method="POST" name="template_form" id="template_form" action="../Template/post" onsubmit="me.form.noUnload();">
<div id="error_message" class="error"><?php h::p($form->errors["MESSAGE"]) ?></div>

<div class="edit_header">
<div class="edit_header_left">
<table class="info_table">
<tr>
<th class="info_header_th"><?php h::p($page_title) ?></th>
<td class="info_header_td">
<button id="open_template_setting" type="button" class="link_button" onclick="me.template.openSetting();"><img src="../../app/assets/images/silk/arrow_down.png" width="16" height="16" alt="設定を開く"><span>設定を開く</span></button>
<button id="close_template_setting" type="button" class="link_button hidden" onclick="me.template.closeSetting();"><img src="../../app/assets/images/silk/arrow_up.png" width="16" height="16" alt="設定を閉じる"><span>設定を閉じる</span></button>
</td>
</tr>
<tr>
<th>テンプレートパス</th>
<td>
<?php h::p($form->template_path) ?>
</td>
</tr>
<tr class="template_setting hidden">
<th>テンプレートID</th>
<td><?php h::p($form->_id) ?></td>
</tr>
<tr class="template_setting hidden">
<th>テンプレートタイプ</th>
<td>
<input type="radio" id="template_type_single" name="template_type" value="single" <?php h::radio($form->template_type, 'single') ?> onchange="me.template.changeTemplateType();">
<label for="template_type_single">シングルタイプ</label>
<input type="radio" id="template_type_multi" name="template_type" value="multi" <?php h::radio($form->template_type, 'multi') ?> onchange="me.template.changeTemplateType();">
<label for="template_type_multi">マルチタイプ</label>
<input type="radio" id="template_type_sub" name="template_type" value="sub" <?php h::radio($form->template_type, 'sub') ?> onchange="me.template.changeTemplateType();">
<label for="template_type_sub">サブタイプ</label><br>
<div class="error"><?php h::p( $form->errors["template_type"]) ?></div>
</td>
</tr>
<tr class="template_setting sub_template_setting hidden">
<th>メインテンプレートID</th>
<td>
<input type="text" id="main_template" name="main_template" size="15" maxlength="50" value="<?php h::p( $form->main_template) ?>"><br>
<div class="error"><?php h::p( $form->errors["main_template"]) ?></div>
</td>
</tr>
<tr class="template_setting sub_template_setting hidden">
<th>表示条件</th>
<td>
<select id="cond" name="cond">
<option value="">--</option>
<?php foreach($cond_list as $cond_name): ?>
<option value="<?php h::p($cond_name) ?>" <?php h::select($form->cond, $cond_name) ?>><?php h::p($cond_name) ?></option>
<?php endforeach; ?>
</select>
<div class="error"><?php h::p( $form->errors["cond"]) ?></div>
</td>
</tr>
<tr class="template_setting hidden">
<th>配信方式</th>
<td>
<input type="radio" id="output_method_static" name="output_method" value="static" <?php h::radio($form->output_method, 'static') ?> >
<label for="output_method_static">静的</label>
<input type="radio" id="output_method_dynamic" name="output_method" value="dynamic" <?php h::radio($form->output_method, 'dynamic') ?> >
<label for="output_method_dynamic">動的</label><br>
<div class="error"><?php h::p( $form->errors["output_method"]) ?></div>
</td>
</tr>
<tr class="template_setting hidden">
<th>文字コード <span class="require">※必須</span></th>
<td>
<input type="text" id="char_code" name="char_code" size="15" maxlength="50" value="<?php h::p( $form->char_code) ?>"><br>
<div class="error"><?php h::p( $form->errors["char_code"]) ?></div>
</td>
</tr>
<tr class="template_setting hidden">
<th>備考</th>
<td>
<input type="text" id="note" name="note" size="60" maxlength="50" value="<?php h::p( $form->note) ?>">
<div class="error"><?php h::p( $form->errors["note"]) ?></div>
</td>
</tr>
<tr class="template_setting hidden">
<th>操作</th>
<td>
<?php if ($form->_id): ?>
<input type="button" value="テンプレート削除" onclick="me.template.deleteTemplate();return false;">
<?php endif; ?>
</td>
</tr>
</table>
</div><!-- /edit_header_left -->
<div class="edit_header_right">
<a href="<?php h::p(MANUAL_BASE_URL) ?>template_edit.html" class="link_a" target="_blank"><img src="../../app/assets/images/silk/help.png" width="16px" height="16px" alt="ヘルプ" title="ヘルプ">ヘルプ</a>
</div><!-- /edit_header_right -->
<br class="clear">
</div><!-- /edit_header -->

<div class="top_margin">
<span id="source_code_tab" class="template_tab template_tab_on" onclick="me.template.selectSourceCode();">ソースコード</span>
<span id="preview_tab" class="template_tab" onclick="me.template.selectPreview();">インスペクタ</span>
</div>

<table class="tag_handle">
<tr>
<th id="tag_tools">MEタグ生成</th>
<td class="tag_handle_button">
<input type="button" value="テキスト" onclick="me.template.open('text');">
<input type="button" value="テキストエリア" onclick="me.template.open('textarea');">
<input type="button" value="プルダウンメニュー" onclick="me.template.open('select');">
<input type="button" value="リッチテキスト" onclick="me.template.open('rich');">
<input type="button" value="日付" onclick="me.template.open('date');">
<input type="button" value="画像" onclick="me.template.open('img');">
<input type="button" value="ファイル" onclick="me.template.open('file');">
<input type="button" value="ソース" onclick="me.template.open('source');">
<input type="button" value="属性" onclick="me.template.open('attr');">
<input type="button" value="リピート" onclick="me.template.open('repeat');">
<input type="button" value="削除" onclick="me.template.open('delete');">
<input type="button" value="ディスプレイ" onclick="me.template.open('display');">
<input type="button" value="モジュール" onclick="me.template.open('module');">
<input type="button" value="インクルード" onclick="me.template.open('include');">
</td>
<td class="tag_handle_search">
<input type="text" id="search_word">
<input type="button" value="検索" onclick="me.template.search();return false;">
</td>
</tr>
</table>

<div>
<textarea id="source_code" name="source_code" cols="50" rows="10"><?php h::p($form->source_code) ?></textarea>
<iframe id="preview_iframe" name="preview_iframe" class="preview_iframe hidden" src="../Main/empty_page" onload="me.template.onloadIframe();"></iframe>
</div>

<div class="bottom_box">
<div class="bottom_left"><input id="back_link" type="button" name="" class="submit_button" value="キャンセル" onclick="location.href='../Main/index?path=<?php h::p($form->page_path) ?>';return false;"></div>
<div class="bottom_center">
<input type="button" name="" class="submit_button" value="登録" onclick="me.template.submit();">
<span id="init_box"><input type="checkbox" id="init" name="init" value="on" <?php h::checkbox($form->init, 'on') ?> ><label for="init" title="MEタグ内側のデータを初期値としてページを編集する。">データ移行オプション</label></span>
</div>
<br class="clear">
</div><!-- /bottom_box -->
<input type="hidden" id="template_id" name="template_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_form_id" name="_form_id" value="<?php h::p($_form_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div><!-- /main -->
<?php h::render('/Common/footer.php');?>
</body>
</html>