<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title><?php h::p($page_title) ?> - MicroEngine</title>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user'), array('help_page'=>'user_edit.html')) ?>
<div class="topicpath_box">
<span class="topicpath">
<a href="../Main/index"><span>Top</span></a> &#187;
<a href="../System/index"><span>システム</span></a> &#187;
<?php if (User_Role::require_admin(false)): ?>
<a href="../User/index"><span>ユーザー管理</span></a> &#187;
<?php endif; ?>
<?php $require_password = ($is_edit) ? '' :'<span class="require">※必須</span>'; ?>
<?php h::p($page_title) ?>
</span>
</div><!-- /topicpath -->

<div class="main">
<div class="message"><?php h::p($form->errors['MESSAGE']) ?></div>
<form method="POST" action="../User/post" autocomplete="off">

<table class="info_table">
<tr>
<th>ユーザー名
<?php if (User_Role::require_admin(false)): ?>
<span class="require">※必須</span>
<?php endif; ?>
</th>
<td>
<?php if (User_Role::require_admin(false)): ?>
<input type="text" id="user_name" name="user_name" class="ime_inactive" size="30" maxlength="32" value="<?php h::p($form->user_name);?>">
<br>※ログインに使用する名前
<div class="error"><?php h::p($form->errors["user_name"]) ?></div>
<?php else: ?>
<?php h::p($form->user_name);?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>パスワード <?php h::no_escape($require_password) ?></th>
<td>
<input type="password" id="password" name="password"  size="30" maxlength="32"><br>
<input type="password" id="confirm_password" name="confirm_password"  size="30" maxlength="32"><br>
※確認用
<div class="error"><?php h::p($form->errors["password"]) ?></div>
</td>
</tr>
<tr>
<th>ロール</th>
<td>
<?php if (User_Role::require_admin(false) && $login_user->_id !== $form->_id): ?>
<select id="user_role" name="user_role">
<option value="<?php h::p(User_Role::ADMIN) ?>" <?php h::select($form->user_role, User_Role::ADMIN) ?>>システム管理者</option>
<option value="<?php h::p(User_Role::DESIGNER) ?>" <?php h::select($form->user_role, User_Role::DESIGNER) ?>>デザイナー</option>
<option value="<?php h::p(User_Role::EDITOR) ?>" <?php h::select($form->user_role, User_Role::EDITOR) ?>>編集者</option>
</select>
<div class="error"><?php h::p($form->errors["user_role"]) ?></div>
<?php else: ?>
<?php h::p(User_Role::get_role_name($form->user_role)) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>表示名</th>
<td>
<input type="text" id="display_name" name="display_name" size="30" maxlength="32" value="<?php h::p($form->display_name) ?>"><br>
※ユーザー名とは別の名前を画面上に表示したい場合に指定する。
<div class="error"><?php h::p($form->errors["display_name"]) ?></div>
</td>
</tr>
<tr>
<th>アクセス権の基本設定</th>
<td>
<?php if (User_Role::require_admin(false)): ?>
<select id="default_access" name="default_access">
<option value="allow" <?php h::select($form->default_access, 'allow') ?>>許可</option>
<option value="deny" <?php h::select($form->default_access, 'deny') ?>>不許可</option>
</select>
<div class="error"><?php h::p($form->errors["default_access"]) ?></div>
<?php else: ?>
    <?php $default_access = ($form->default_access === 'allow') ? '許可' : '不許可' ; ?>
    <?php h::p($default_access) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>アクセス権の例外パス</th>
<td>
<?php if (User_Role::require_admin(false)): ?>
<textarea name="path_config" cols="70" rows="5"><?php h::p($form->path_config) ?></textarea>
<div class="error"><?php h::p($form->errors["path_config"]) ?></div>
<?php else: ?>
    <?php h::nl($form->path_config) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>備考</th>
<td>
<input type="text" id="note" name="note" size="60" maxlength="50" value="<?php h::p($form->note) ?>">
<div class="error"><?php h::p($form->errors["note"]) ?></div>
</td>
</tr>
</table>

<div class="bottom_box">
<div class="bottom_left">
<?php if (User_Role::require_admin(false)): ?>
<input type="button" name="" class="submit_button" value="キャンセル" onclick="location.href='../User/index';return false;">
<?php else: ?>
<input type="button" name="" class="submit_button" value="キャンセル" onclick="location.href='../System/index';return false;">
<?php endif; ?>
</div>
<div class="bottom_center">
<input type="submit" name="" class="submit_button" value="登録">
</div>
<br class="clear">
</div><!-- /bottom_box -->
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
<input type="hidden" id="_id" name="_id" value="<?php h::p($form->_id) ?>">
</form>

</div><!-- /main -->
<?php h::render('/Common/footer.php') ?>
</body>
</html>